Bug 1475554 - [RFE] Creating a new role (osd+mon+nova compute on same node)
Summary: [RFE] Creating a new role (osd+mon+nova compute on same node)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M2
: 13.0 (Queens)
Assignee: John Fulton
QA Contact: Yogev Rabl
URL:
Whiteboard:
Depends On:
Blocks: 1659607 1459148 1475550 1539034 1659608
TreeView+ depends on / blocked
 
Reported: 2017-07-26 21:27 UTC by jomurphy
Modified: 2018-12-14 19:08 UTC (History)
12 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.0-0.20171206151028.97e841d.el7ost
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1539034 (view as bug list)
Environment:
Last Closed: 2018-06-27 13:33:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 521989 None None None 2017-11-21 19:42:59 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:34:57 UTC

Description jomurphy 2017-07-26 21:27:55 UTC

Comment 4 John Fulton 2017-11-15 15:32:56 UTC
Today a customer can set up HCI with Mons on the controller easily by running:

openstack overcloud roles generate -o /home/stack/roles_data.yaml Controller ComputeHCI 

This is basically a request for the user to be able to run something like:

openstack overcloud roles generate -o /home/stack/roles_data.yaml ControllerSansMon ComputeMonHCI ComputeHCI

and they'd get some Compute+OSDs+Mons and some Compute+OSDs and controller nodes without the Ceph monitor service. 

I'll need to make updates so that `openstack overcloud role list` returns the new ControllerSansMon and ComputeMonHCI roles.

Comment 9 Yogev Rabl 2018-04-13 13:54:16 UTC
Verified on openstack-tripleo-heat-templates-8.0.2-0.20180327213843.f25e2d8.el7ost.noarch

Comment 11 errata-xmlrpc 2018-06-27 13:33:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.